# mongoc_apm_command_succeeded_get_request_id()

## Synopsis

    int64_t
    mongoc_apm_command_succeeded_get_request_id (
       const mongoc_apm_command_succeeded_t *event);

Returns this event’s wire-protocol request id. Use this number to correlate client-side events with server log messages.

## Parameters

- `event`: A mongoc_apm_command_succeeded_t.

## Returns

The event’s request id.

See also

Introduction to Application Performance Monitoring